@echo off

rem 	Los parametros son
rem 		%1:	unidad en la cual instalar el programa
rem 		%2:	unidad en la que la instalacion esta funcionando

rem     Comprueba que haya bastante espacio en disco para la instalacion.
space %1: 2000kb
if errorlevel 1 goto NoSpace

godir %1:\sierra\sq3
if errorlevel 1 goto CantCreate
echo Copiando drivers...
copy %2:*.drv >nul
copy %2:exists.com >nul
copy %2:sq3.bat .. >nul
copy %2:__insth.bat >nul
__insth %1 %2

:NoSpace
echo "¡No hay suficiente espacio en %1 para instalar Space Quest III!"
echo "2 megabytes al menos son necesarios de espacio de disco."
pause
goto Exit

:CantCreate
echo "Incapaz de crear el directorio %1."
pause
goto Exit

:Exit

